#edit the following line to add the librarie's header files
FIND_PATH(arm_control_INCLUDE_DIR arm_control.h /usr/include/iridrivers /usr/local/include/iridrivers)

FIND_LIBRARY(arm_control_LIBRARY
    NAMES arm_control
    PATHS /usr/lib /usr/local/lib /usr/local/lib/iridrivers) 

IF (arm_control_INCLUDE_DIR AND arm_control_LIBRARY)
   SET(arm_control_FOUND TRUE)
ENDIF (arm_control_INCLUDE_DIR AND arm_control_LIBRARY)

IF (arm_control_FOUND)
   IF (NOT arm_control_FIND_QUIETLY)
      MESSAGE(STATUS "Found arm_control: ${arm_control_LIBRARY}")
   ENDIF (NOT arm_control_FIND_QUIETLY)
ELSE (arm_control_FOUND)
   IF (arm_control_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find arm_control")
   ENDIF (arm_control_FIND_REQUIRED)
ENDIF (arm_control_FOUND)

