#include "arm_control.h"
#include "exceptions.h"
#include <iostream>

std::string dyn_serial="FT2FWOYO";
std::string joy_device="/dev/input/js0";

int main(int argc, char *argv[])
{
  try{
    CArmControl arm(joy_device,dyn_serial,1000000,6,5,4);

    arm.load_poses("/home/sergi/Downloads/arm_control/src/xml/poses.xml");
    arm.set_max_angles(PAN,90.0,-90.0);
    arm.set_max_angles(TILT,90.0,-90.0);
    arm.set_max_angles(ROLL,90.0,-90.0);
 
  
    while(!arm.exit());
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
